unit RegMp3Class;

interface
uses InvokeRegistry;

type
  TMP3Result = class( TRemotable)
  private
    FSpeed: Widestring;
    FSize: Widestring;
    FFileName: Widestring;
    FURL: Widestring;
    procedure SetFileName(const Value: Widestring);
    procedure SetSize(const Value: Widestring);
    procedure SetSpeed(const Value: Widestring);
    procedure SetURL(const Value: Widestring);
  published
    property URL : Widestring read FURL write SetURL;
    property FileName : Widestring read FFileName write SetFileName;
    property Size : Widestring read FSize write SetSize;
    property Speed : Widestring read FSpeed write SetSpeed;
  end;

  TMP3Results = array of TMP3Result;

implementation


{ TMP3Result }

procedure TMP3Result.SetFileName(const Value: Widestring);
begin
  FFileName := Value;
end;

procedure TMP3Result.SetSize(const Value: Widestring);
begin
  FSize := Value;
end;

procedure TMP3Result.SetSpeed(const Value: Widestring);
begin
  FSpeed := Value;
end;

procedure TMP3Result.SetURL(const Value: Widestring);
begin
  FURL := Value;
end;

initialization
  RemClassRegistry.RegisterXSClass(TMp3Result, '', 'MP3Result', '',False );
  RemTypeRegistry.RegisterXSInfo(TypeInfo(TMp3Results), '', 'DTarray');
finalization
  RemClassRegistry.UnRegisterXSClass(TMp3REsult);
  RemTypeRegistry.UnRegisterXSInfo(TypeInfo(TMp3Results));


end.
