unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Rio, SoapHTTPClient;

type
  TForm1 = class(TForm)
    edtSearch: TEdit;
    btnSearch: TButton;
    Label1: TLabel;
    lstResults: TListView;
    StatusBar: TStatusBar;
    edtUrl: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    edtResults: TEdit;
    HTTPRIO1: THTTPRIO;
    procedure btnSearchClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses SoapFindMP3Intf, RegMp3Class;

{$R *.dfm}

procedure TForm1.btnSearchClick(Sender: TObject);
var Results : TMP3Results;
    MP3REsult : TMp3Result;
    i : integer;
begin
  lstResults.Clear;
  HttpRIO1.URL := edtUrl.Text;
  HttpRIO1.Service := 'ISoapFindMP3Service';
  HTTPRIO1.Port := 'ISoapFindMP3Port';
  Results :=
      (HTTPRIO1 as ISoapFindMP3).SearchMP3(edtSearch.Text, StrToInt(edtResults.Text));

  StatusBar.SimpleText := IntToStr(Length(Results)) + ' results found.';
  for i := 0 to Length(Results)-1 do
  begin
    MP3Result := REsults[i];
    with lstResults.Items.Add do
    begin
      Caption := IntToStr(i+1);
      SubItems.Add( MP3REsult.URL);
      SubItems.Add( MP3REsult.Size);
      SubItems.Add( MP3REsult.FileName);
      SubItems.Add( MP3REsult.Speed);
    end;
  end;
end;

end.

